Subject: bug#37741: closed (Re: [PATCH 0/3] Update u-boot to 2019.10 and add u-boot-rockpro64-rk3399.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Oct 2019 20:46:02 +0000

Your bug report

#37741: [PATCH 0/3] Update u-boot to 2019.10 and add u-boot-rockpro64-rk3399.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37741: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37741
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/3] Update u-boot to 2019.10 and add u-boot-rockpro64-rk3399.
From: Vagrant Cascadian <[email-masked]>
To: Caliph Nomble <[email-masked]>
Cc: Danny Milosavljevic <[email-masked]>, [email-masked]
Date: Fri, 18 Oct 2019 13:44:51 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2019-10-13, [email-masked] wrote:
> Blobless LPDDR4 training for the rk3399 was just added in u-boot 2019.10,
> necessitating the update. Patches combined into a single set for that reason.
> U-boot patch removed due to mainlining.
>
> Caliph Nomble (3):
>   gnu: u-boot: Update to 2019.10.

Didn't quite merge this, but added a u-boot-2019.10 variant in:

074554a2891830900e2ff9335799416723094fcb

>   gnu: Add arm-trusted-firmware-rk3399.

Modified patch pushed to guix/master:

074554a2891830900e2ff9335799416723094fcb

>   gnu: Add u-boot-rockpro64-rk3399

Modified patch pushed to guix/master:

fa7470189eed39ae863f8f269fd3ef29bb084f16

Thanks for the patches! It happened to be really good timing for me; I
literally had a rockpro64-rk3399 already ordered and it arrived just
yesterday so I even tested it!

It would be *nice* to fix all the bugs in the many u-boot-* targets in
newer u-boot versions, but for the moment I'm just doing what's needed
to add this target (and while I was at it, rock64-rk3328).

Marking this bug as done.

live well,
  vagrant

Subject: [PATCH 0/3] Update u-boot to 2019.10 and add u-boot-rockpro64-rk3399.
From: [email-masked]
To: [email-masked]
Cc: Vagrant Cascadian <[email-masked]>, Danny Milosavljevic <[email-masked]>, Caliph Nomble <[email-masked]>
Date: Sun, 13 Oct 2019 20:14:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Caliph Nomble <[email-masked]>

Blobless LPDDR4 training for the rk3399 was just added in u-boot 2019.10,
necessitating the update. Patches combined into a single set for that reason.
U-boot patch removed due to mainlining.

Caliph Nomble (3):
  gnu: u-boot: Update to 2019.10.
  gnu: Add arm-trusted-firmware-rk3399.
  gnu: Add u-boot-rockpro64-rk3399

 gnu/bootloader/u-boot.scm                     | 17 ++++++
 gnu/local.mk                                  |  1 -
 gnu/packages/bootloaders.scm                  | 27 +++++++--
 gnu/packages/firmware.scm                     | 23 ++++++++
 ...boot-fix-mkimage-header-verification.patch | 57 -------------------
 gnu/system/install.scm                        |  6 ++
 6 files changed, 68 insertions(+), 63 deletions(-)
 delete mode 100644 gnu/packages/patches/u-boot-fix-mkimage-header-verification.patch

-- 
2.21.0